Subject: [Sip] Comment on sip-ua-privacy-05.txt

From: Michael Procter <[email-masked]>
Date: Tue, 17 Feb 2009 08:51:22 +0000

Just a minor point:  Is it worth adding (either in section 4.1 or 6)
that a temp-gruu might not be as anonymous as you might hope?  An
observer using RFC 3680 (reg-event) with gruu extensions would be able
to correlate temp-gruus with AoRs and contacts, should they be so
authorised.

There is some text in RFC 3680 warning of the risks of reg-event, but
that is probably of more direct interest to registrar authors.  A
reminder of the risk in this document might highlight it for UA authors,
so that they can consider the wider implications.

Best regards,

Michael

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 18 Feb 2009 02:53:17 +0100

There is a similar issue with the instance-id as used by outbound and GRUU as well. In a mobile, this uses the IMEI which is not necessarily meant to be revealed.

3GPP obfuscate the IMEI on generation of the GRUU.

regards

Keith 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Michael Procter
> Sent: Tuesday, February 17, 2009 8:51 AM
> To: [email-masked]; [email-masked]
> Subject: [Sip] Comment on sip-ua-privacy-05.txt
> 
> Just a minor point:  Is it worth adding (either in section 
> 4.1 or 6) that a temp-gruu might not be as anonymous as you 
> might hope?  An observer using RFC 3680 (reg-event) with gruu 
> extensions would be able to correlate temp-gruus with AoRs 
> and contacts, should they be so authorised.
> 
> There is some text in RFC 3680 warning of the risks of 
> reg-event, but that is probably of more direct interest to 
> registrar authors.  A reminder of the risk in this document 
> might highlight it for UA authors, so that they can consider 
> the wider implications.
> 
> Best regards,
> 
> Michael
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> Use [email-masked] for new developments on the application of sip
>

---

From: Shida Schubert <[email-masked]>
Date: Thu, 19 Feb 2009 16:34:45 +0900

Thanks for pointing this out..

  I went and looked at gruu-reg-event draft and saw what kind
of security consideration text is there, the text described a  
authorization
policy limiting only allowing subscription to those who actually  
registered
and requested the temp-gruu.

  I do agree that implication of reg-event and some consideration for
the implementors will be beneficial and will add some text in the  
security
consideration.

  Many Thanks
   Shida

On 17-Feb-09, at 5:51 PM, Michael Procter wrote:

> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip

---

From: Shida Schubert <[email-masked]>
Date: Thu, 19 Feb 2009 16:52:50 +0900

Keith;

  I just looked at outbound and gruu again, and AFAICT temp-gruu doesn't
carry the instance-id unlike the pub-gruu which does.

  With outbound the instance-id is only present in the REGISTER
request when you are establishing the flow, and if temp-gruu is used,
the only time instance-id will be visible when GRUU is used is also
in the REGISTER request.

  I may be blind but I can't seem to see the problem.

  Regards
   Shida

On 18-Feb-09, at 10:53 AM, DRAGE, Keith (Keith) wrote:

> There is a similar issue with the instance-id as used by outbound  
> and GRUU as well. In a mobile, this uses the IMEI which is not  
> necessarily meant to be revealed.
>

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 23 Feb 2009 08:30:05 +0100

The issue is that while the user may be wanting to use a public GRUU, they may not wish to announce their IMEI. Normally, no matter what privacy, IMEIs are kept secret in 3GPP.

You'll find procedures in the registration proxy in IMS to therefore obfuscate the IMEI when creating a public GRUU. And in 3GPP this was not directly an invention of the protocol group - part of this came from the 3GPP security group.

regards

Keith 

> From: Shida Schubert [mailto:[email-masked]] 
> Sent: Thursday, February 19, 2009 7:53 AM
> To: DRAGE, Keith (Keith)
> Cc: Michael Procter; 
> [email-masked]; [email-masked]
> Subject: Re: [Sip] Comment on sip-ua-privacy-05.txt
> 
> 
> Keith;
> 
>   I just looked at outbound and gruu again, and AFAICT 
> temp-gruu doesn't carry the instance-id unlike the pub-gruu 
> which does.
> 
>   With outbound the instance-id is only present in the 
> REGISTER request when you are establishing the flow, and if 
> temp-gruu is used, the only time instance-id will be visible 
> when GRUU is used is also in the REGISTER request.
> 
> > There is a similar issue with the instance-id as used by 
> outbound and 
> > GRUU as well. In a mobile, this uses the IMEI which is not 
> necessarily 
> > meant to be revealed.
> >
> >> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of 
> >> Michael Procter
> >> 4.1 or 6) that a temp-gruu might not be as anonymous as you might 
> >> hope?  An observer using RFC 3680 (reg-event) with gruu extensions 
> >> would be able to correlate temp-gruus with AoRs and 
> contacts, should 
> >> they be so authorised.
> >>
> reg-event, but 
> >> reminder of the risk in this document might highlight it for UA 
> >> authors, so that they can consider the wider implications.
> >>
> >> Best regards,
> >>
> >> Michael
> >> [email-masked] for questions on current sip Use 
> >> [email-masked] for new developments on the application of sip
> >>
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> 
>

---

From: Dean Willis <[email-masked]>
Date: Mon, 23 Feb 2009 09:43:19 -0600

On Feb 23, 2009, at 1:30 AM, DRAGE, Keith (Keith) wrote:

> The issue is that while the user may be wanting to use a public  
> GRUU, they may not wish to announce their IMEI. Normally, no matter  
> what privacy, IMEIs are kept secret in 3GPP.
>

So it's rather like the distinction between appearing in public, and  
appearing naked in public ? One is acceptable for most, the other only  
for certain celebrities, or on just the right kind of beach . . .

--
Dean

---

From: Shida Schubert <[email-masked]>
Date: Wed, 25 Feb 2009 14:59:36 +0900

Keith;

  So what consideration should be noted in the draft with regards to  
IMEI?

  I am reading that IMEI is never revealed, whether it's a public or  
temp GRUU,
that sounds like a non-privacy concern. And if it's not a privacy  
threat I don't
know what type of text be added..

  I am probably missing your point, but I think I need a bit of  
guidance here..

  Thanks
   Shida

On 24-Feb-09, at 12:43 AM, Dean Willis wrote:

> appearing naked in public ? One is acceptable for most, the other  
> only for certain celebrities, or on just the right kind of beach . . .
>
> --
> Dean
>
>